## GulkanDescriptorPool

GulkanDescriptorPool

## Functions

#define | GULKAN_DESCRIPTOR_POOL_NEW()
GulkanDescriptorPool * | gulkan_descriptor_pool_new_from_layout ()
GulkanDescriptorPool * | gulkan_descriptor_pool_new ()
gboolean | gulkan_descriptor_pool_allocate_sets ()
VkPipelineLayout | gulkan_descriptor_pool_get_pipeline_layout ()

## Types and Values

#define | GULKAN_TYPE_DESCRIPTOR_POOL
| GulkanDescriptorPool

## Object Hierarchy

        GObject
        ╰── GulkanDescriptorPool

## Includes

    #include <gulkan.h>

## Description

## Functions

### GULKAN_DESCRIPTOR_POOL_NEW()

    #define             GULKAN_DESCRIPTOR_POOL_NEW(a, b, c, d)

### gulkan_descriptor_pool_new_from_layout ()

    GulkanDescriptorPool *
    gulkan_descriptor_pool_new_from_layout
                                   (VkDevice device,
                                    VkDescriptorSetLayout layout,
                                    const VkDescriptorPoolSize *pool_sizes,
                                    uint32_t pool_size_count,
                                    uint32_t set_count);

### gulkan_descriptor_pool_new ()

    GulkanDescriptorPool *
    gulkan_descriptor_pool_new (VkDevice device,
                                const VkDescriptorSetLayoutBinding *bindings,
                                uint32_t binding_count,
                                const VkDescriptorPoolSize *pool_sizes,
                                uint32_t pool_size_count,
                                uint32_t set_count);

### gulkan_descriptor_pool_allocate_sets ()

    gboolean
    gulkan_descriptor_pool_allocate_sets (GulkanDescriptorPool *self,
                                          uint32_t count,
                                          VkDescriptorSet *set);

### gulkan_descriptor_pool_get_pipeline_layout ()

    VkPipelineLayout
    gulkan_descriptor_pool_get_pipeline_layout
                                   (GulkanDescriptorPool *self);

## Types and Values

### GULKAN_TYPE_DESCRIPTOR_POOL

    #define GULKAN_TYPE_DESCRIPTOR_POOL gulkan_descriptor_pool_get_type()

### GulkanDescriptorPool

    typedef struct _GulkanDescriptorPool GulkanDescriptorPool;